aboutsummaryrefslogtreecommitdiff
path: root/website
diff options
context:
space:
mode:
authorReinier Zwitserloot <reinier@tipit.to>2009-07-17 22:22:18 +0200
committerReinier Zwitserloot <reinier@tipit.to>2009-07-17 22:22:18 +0200
commitc50e4c2ed65b8da60f2743a972063c98f40cf3a6 (patch)
tree0e5c86f48481e3978c6c5aaa39813f1c6aa16fce /website
parent99b3ec87b0cc4af797ad398c1d7fa2f6056d9cef (diff)
downloadlombok-c50e4c2ed65b8da60f2743a972063c98f40cf3a6.tar.gz
lombok-c50e4c2ed65b8da60f2743a972063c98f40cf3a6.tar.bz2
lombok-c50e4c2ed65b8da60f2743a972063c98f40cf3a6.zip
Added a script that publishes the website dir to github via some crazy git fu.
Also stripped out how javadoc generated a comment with a timestamp, as to publish to github, we check in the files, which generates pointless and enormous changesets.
Diffstat (limited to 'website')
-rwxr-xr-xwebsite/publish33
1 files changed, 33 insertions, 0 deletions
diff --git a/website/publish b/website/publish
new file mode 100755
index 00000000..4894c4e7
--- /dev/null
+++ b/website/publish
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+CURDIR=`pwd`
+
+
+cd `dirname $0` || exit
+cd .. || exit
+
+if [ ! -e dist/website.zip ]; then
+ echo There is no dist/website.zip file! Run:
+ echo ant website
+ echo then restart this script
+ exit
+fi
+
+mkdir -p build/temp || exit
+cd build/temp || exit
+git clone -l -n ../.. websitegit || exit
+cd websitegit || exit
+git branch gh-pages origin/gh-pages || exit
+git checkout gh-pages || exit
+rm -r * || exit
+unzip ../../../dist/website.zip || exit
+git add . || exit
+git commit -a -m website || exit
+git push origin gh-pages || exit
+cd .. || exit
+rm -rf websitegit || exit
+
+cd "$CURDIR"
+
+echo Your gh-pages branch has been updated. Do not forget to run:
+echo git push origin gh-pages